<?php
//--------------------------------------------------------------------
// *** TitleNavi ***
// LAST UPDATE: 2009/05/30
// Version    : 1.23
// Copyright  : nJOY
// http://i-njoy.net/
//--------------------------------------------------------------------
//
// control.php
//
//--------------------------------------------------------------------

$module_version = "1.23";

global $blogn_admin;
if (!$blogn_admin) exit;

$inifile = BLOGN_MODDIR.$module_name.'/config.cgi';
$inis = file($inifile);
list($back_pre, $back_pst, $next_pre, $next_pst, $length, $trimmaker, $notitle) = explode(",", $inis[0]);

$menu = array(1 => "設定", "独自タグ", "インストール", "モジュール情報");
$loadtabs = "1";
switch($_POST["method"]) {
	case "edit":
		$loadtabs = "1";
		
		$back_pre = str_replace(",", "&#44;", ltrim(htmlspecialchars($_POST["back_pre"])));
		$back_pst = str_replace(",", "&#44;", rtrim(htmlspecialchars($_POST["back_pst"])));
		$next_pre = str_replace(",", "&#44;", ltrim(htmlspecialchars($_POST["next_pre"])));
		$next_pst = str_replace(",", "&#44;", rtrim(htmlspecialchars($_POST["next_pst"])));
		$length = $_POST["length"];
		$trimmaker= str_replace(",", "&#44;", rtrim(htmlspecialchars($_POST["trimmaker"])));
		if (!$trimmaker) $trimmaker = "...";
		$notitle= str_replace(",", "&#44;", rtrim(htmlspecialchars($_POST["notitle"])));
		if (!$notile) $notitle = "(no title)";
		
		$fp = fopen($inifile, "w");
		fwrite($fp, "$back_pre,$back_pst,$next_pre,$next_pst,$length,$trimmaker,$notitle,\r\n", 200);
		fclose($fp);

		$message = "設定を変更しました。";
		break;
	default :
		$loadtabs = "1";
		break;
}

include BLOGN_MODDIR.$module_name.'/menu.php';

echo $js.'
<div class="blogn_main">

<div'.formatStyle($style["wrapper"]).'>
<h1'.formatStyle($style["mod_title"]).'>タイトルナビ (ver'.$module_version.')</h1>

<!-- LEFT -->
<div'.formatStyle($style["coll"]).'>
<h2'.formatStyle($style["coll_h2"]).'>メニュー</h2>
<ul'.formatStyle($style["coll_ul"]).'>';

module_control_list($menu);

echo '
</ul>
<noscript><p'.formatStyle($style["nojs"]).'>※ Javascript 無効<br />メニュー内のテキストリンクは機能しないので、● をクリックしてナビゲートしてください。</p></noscript>
<p'.formatStyle($style["credit"]).'>Powered by<br /><a href="http://i-njoy.net/blog/" target="_blank"'.formatStyle($style["credit_a"]).'>nJOY BLOG</a></p>
</div>
 
<!-- RIGHT -->
<div'.formatStyle($style["colr"]).'>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("設定", $menu).'">
<form method="post" action="./admin.php?mode=module&amp;action=edit">
<input type="hidden" name="blogn_module_name" value="'.$module_name.'">

<div class="blogn_bar">設定</div>
<table border="1" cellspacing="0" cellpadding="3" width="500">
<tr bgcolor="#dcdcdc"><th colspan="2">動作設定</th></tr>

<tr><td bgcolor="#e9e9e9"><strong>前の記事</strong></td>
<td>
<input type="text" name="back_pre" value="'.$back_pre.'" size="10"'.formatStyle($style["input_right"]).' /> 前の記事タイトル <input type="text" name="back_pst" value="'.$back_pst.'" size="10" />
</td>
</tr>

<tr><td bgcolor="#e9e9e9"><strong>次の記事</strong></td>
<td>
<input type="text" name="next_pre" value="'.$next_pre.'" size="10"'.formatStyle($style["input_right"]).' /> 次の記事タイトル <input type="text" name="next_pst" value="'.$next_pst.'" size="10" />
</td>
</tr>

<tr><td bgcolor="#e9e9e9"><strong>記事タイトルの省略</strong></td>
<td>
<select name="length">';
$selected = array();
$selected[$length] = ' selected="selected"';
for ($i = 0; $i < 101; $i++) {
	if ($i == 0) {
		echo '<option value="'.$i.'"'.$selected[$i].'>省略しない</option>';
	} else {
		echo '<option value="'.$i.'"'.$selected[$i].'>'.$i.' bytes</option>';
	}
}
echo '</select>
</td>
</tr>

<tr><td bgcolor="#e9e9e9"><strong>省略時に追加される文字列</strong></td>
<td>
<input tupe="text" name="trimmaker" value="'.$trimmaker.'" size="10" /> 
</td>
</tr>

<tr><td bgcolor="#e9e9e9"><strong>タイトルがない場合の代替文字列</strong></td>
<td>
<input tupe="text" name="notitle" value="'.$notitle.'" size="20" /> 
</td>
</tr>

</table>

<input type="hidden" name="method" value="edit">
<input type="submit" value="変更"'.formatStyle($style["button"]).'>
<span'.formatStyle($style["message"]).'>'.$message.'</span>
</form>
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("独自タグ", $menu).'">
<div class="blogn_bar">独自タグ</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>このモジュールで使える独自タグ</h2>

<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="100">独自タグ</th><th>説明</th><th width="50">補足</th></tr>
<tr><td>{TNV_NEXT}</td><td>リンク付きで「次の記事タイトル」を表示</td><td>必須</td></tr>
<tr><td>{TNV_BACK}</td><td>リンク付きで「前の記事タイトル」を表示</td><td>必須</td></tr>
</table>

</div>
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("インストール", $menu).'">
<div class="blogn_bar">インストール</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>インストール方法</h2>
<ol'.formatStyle($style["mod_list"]).'>
<li>「config.cgi」のパーミッションを「666」等に変更する。</li>
<li>スキンの HTML ファイルに独自タグを追加する。</li>
'.$mod_control["co_start"].'<li>必要に応じてモジュール管理画面から動作スイッチを ON にする必要があります。</li>'.$mod_control["co_end"].'
</ol>

<h3'.formatStyle($style["mod_h3"]).'>■ スキンへの記述例</h3>
<p'.formatStyle($style["mod_p"]).'>「次・前」形式</p>
<pre'.formatStyle($style["pre"]).'>
<b'.formatStyle($style["red"]).'>{TNV_NEXT}</b>{NEXTPAGE}←次の記事{/NEXTPAGE} <b'.formatStyle($style["red"]).'>{TNV_BACK}</b>{BACKPAGE}前の記事→{/BACKPAGE}
</pre>

<p'.formatStyle($style["mod_p"]).'>「前・次」形式</p>
<pre'.formatStyle($style["pre"]).'>
<b'.formatStyle($style["red"]).'>{TNV_BACK}</b>{BACKPAGE}←前の記事{/BACKPAGE} <b'.formatStyle($style["red"]).'>{TNV_NEXT}</b>{NEXTPAGE}次の記事→{/NEXTPAGE} 
</pre>
</div>

<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("モジュール情報", $menu).'">
<div class="blogn_bar">モジュール情報</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>公式サイト</h2>
<p'.formatStyle($style["mod_p"]).'>もっと詳しい情報や最新版モジュールのダウンロードは「<a href="http://i-njoy.net/tips/plus_tnv.shtml" target="_blank">タイトルナビモジュール</a>」の解説ページからどうぞ。</p>
<p'.formatStyle($style["mod_p"]).'>最新情報は「<a href="http://i-njoy.net/blog/" target="_blank">nJOY BLOG</a>」から入手できます。</p>

<h2'.formatStyle($style["mod_h2"]).'>モジュール構成ファイル</h2>
<ul'.formatStyle($style["package"]).'>
<li'.formatStyle($style["pack_0"]).'>+ blognplus /</li>
<li'.formatStyle($style["pack_1"]).'>+ module /</li>
<li'.formatStyle($style["pack_2"]).'>+ titlenav /</li>
<li'.formatStyle($style["pack_3"]).'>- blank.php</li>
<li'.formatStyle($style["pack_3"]).'>- <span'.formatStyle($style["red"]).'>config.cgi</span></li>
<li'.formatStyle($style["pack_3"]).'>- control.php</li>
<li'.formatStyle($style["pack_3"]).'>- index.html</li>
<li'.formatStyle($style["pack_3"]).'>- info.php</li>
<li'.formatStyle($style["pack_3"]).'>- install.php</li>
<li'.formatStyle($style["pack_3"]).'>- menu.php</li>
<li'.formatStyle($style["pack_3"]).'>- style.php</li>
<li'.formatStyle($style["pack_3"]).'>- uninstall.php</li>
<li'.formatStyle($style["pack_3"]).'>- update.php</li>
<li'.formatStyle($style["pack_3"]).'>- viewer.php</li>
</ul>

<p'.formatStyle($style["mod_p"]).'><span'.formatStyle($style["red"]).'>赤文字のファイル</span>のパーミッションは「666」や「606」に変更してください。</p>

'.$mod_control["co_start"].'
<h2'.formatStyle($style["mod_h2"]).'>動作 ON/OFF</h2>
<p'.formatStyle($style["mod_p"]).'>モジュールをインストール後に、動作のオン・オフを切り替える必要があります。</p>
<dl'.formatStyle($style["mod_dl"]).'>
<dt>PC</dt><dd>PC 用スキンに独自タグを記述した場合、「PC」欄を <img src="images/on.gif" width="20" height="20" alt="ON" /> にしてください。</dd>
<dt>携帯</dt><dd>携帯 用スキンに独自タグを記述した場合、「携帯」欄 を <img src="images/on.gif" width="20" height="20" alt="ON" /> にしてください。</dd>
</dl>

<h2'.formatStyle($style["mod_h2"]).'>優先順位</h2>
<p'.formatStyle($style["mod_p"]).'>特に制限はありません。</p>
'.$mod_control["co_end"].'

</div>
<hr'.formatStyle($style["hr"]).' />
</div>


</div>
</div>
</div>';

?>
